IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fco_del_diagnosticos]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fco_del_diagnosticos
GO
CREATE PROCEDURE dbo.sp_fco_del_diagnosticos
(
    @pvc_diagnostico varchar(5)
)
AS
BEGIN
    DELETE fco_diagnosticos 
    WHERE diagnostico = @pvc_diagnostico
END

GO
GRANT EXECUTE ON sp_fco_del_diagnosticos TO Public
GO